Debian Bug report logs - #574873
munin-node: ntp_ and ntp-state plugin do not work with v6 addresses

version graph

Package: munin-node; Maintainer for munin-node is Munin Debian Maintainers <packaging@munin-monitoring.org>; Source for munin-node is src:munin.

Reported by: Stephen Gran <sgran@debian.org>

Date: Sun, 21 Mar 2010 20:24:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream, ipv6

Merged with 558800

Found in versions munin/2.0~rc2-1, munin/1.2.6-10~lenny1, munin/1.4.4-1, munin/2.0~rc4-1

Fixed in version munin/2.0.13-1

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://munin-monitoring.org/ticket/775

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#574873; Package munin-node. (Sun, 21 Mar 2010 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
New Bug report received and forwarded. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Sun, 21 Mar 2010 20:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: munin-node: ntp_ and ntp-state plugin do not work with v6 addresses
Date: Sun, 21 Mar 2010 20:20:48 +0000
[Message part 1 (text/plain, inline)]
Package: munin-node
Version: 1.4.4-1
Severity: normal

Hello,

Both of the ntp_ and ntp_state plugins have the following line during
parsing of ntpq output:

next unless /^.(\d+\.\d+\.\d+\.\d+)/;

This regex doesn't match v6 hosts, obviously.

Cheers,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/dash

-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#574873; Package munin-node. (Mon, 22 Mar 2010 10:51:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Feiner <feiner.tom@gmail.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Mon, 22 Mar 2010 10:51:31 GMT) Full text and rfc822 format available.

Message #10 received at 574873@bugs.debian.org (full text, mbox):

From: Tom Feiner <feiner.tom@gmail.com>
To: Stephen Gran <sgran@debian.org>
Cc: 574873@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#574873: munin-node: ntp_ and ntp-state plugin do not work with v6 addresses
Date: Mon, 22 Mar 2010 12:46:38 +0200
[Message part 1 (text/plain, inline)]
forwarded 574873 http://munin.projects.linpro.no/ticket/775
quit

Hi Stephen,

Thanks for the bug report.

This bug was already reported at [1] , and forwarded upstream [2].

I will merge this bug with 558800 as it's exactly the same.

If you have a patch to add support for ipv6, please attach it to the upstream
bug so they can include it in the next release.

Regards,
    Tom Feiner

[1] http://bugs.debian.org/558800
[2] http://munin.projects.linpro.no/ticket/775

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'http://munin.projects.linpro.no/ticket/775'. Request was from Tom Feiner <feiner.tom@gmail.com> to control@bugs.debian.org. (Mon, 22 Mar 2010 10:51:55 GMT) Full text and rfc822 format available.

Merged 558800 574873. Request was from Tom Feiner <feiner.tom@gmail.com> to control@bugs.debian.org. (Mon, 22 Mar 2010 11:06:17 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:05 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:45 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:41 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Sat, 17 Sep 2011 22:01:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 16:42:10 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:53 GMT) Full text and rfc822 format available.

Marked as found in versions munin/2.0~rc2-1; no longer marked as fixed in versions munin/2.0~rc2-1 and reopened. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:54 GMT) Full text and rfc822 format available.

Marked as found in versions munin/2.0~rc4-1. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:55 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:58 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 15:57:30 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://munin-monitoring.org/ticket/775'. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 15:57:31 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:19 GMT) Full text and rfc822 format available.

Message #41 received at 558800-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 558800-close@bugs.debian.org
Subject: Bug#558800: fixed in munin 2.0.13-1
Date: Thu, 09 May 2013 10:18:51 +0000
Source: munin
Source-Version: 2.0.13-1

We believe that the bug you reported is fixed in the latest version of
munin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated munin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 09 May 2013 11:51:59 +0200
Source: munin
Binary: munin-node munin-plugins-core munin-plugins-extra munin-plugins-java munin munin-common munin-async munin-doc
Architecture: source all
Version: 2.0.13-1
Distribution: unstable
Urgency: low
Maintainer: Munin Debian Maintainers <packaging@munin-monitoring.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 munin      - network-wide graphing framework (grapher/gatherer)
 munin-async - network-wide graphing framework (async master/client)
 munin-common - network-wide graphing framework (common)
 munin-doc  - network-wide graphing framework (documentation)
 munin-node - network-wide graphing framework (node)
 munin-plugins-core - network-wide graphing framework (plugins for node)
 munin-plugins-extra - network-wide graphing framework (user contributed plugins for nod
 munin-plugins-java - network-wide graphing framework (java plugins for node)
Closes: 558800 705515
Changes: 
 munin (2.0.13-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #558800) - See upstream changelog for the
     full list of changes.
   * Add conntrack to munin-plugins-core suggests. (upstream trac #1267)
   * munin-node.init: drop support for sarge, five years after Debian dropped
     it.
   * Bump standards-version to 3.9.4, no changes necessary.
   * munin.logrotate rules: use delaycompress (Closes: #705515) - Thanks to
     Michael Shuler for the patch.
Checksums-Sha1: 
 03a2b58d4fb223b9efff609212ee6d3567f6f4b0 2362 munin_2.0.13-1.dsc
 ede429451830dac255c3daf3ff7b2412680325eb 1333690 munin_2.0.13.orig.tar.gz
 d101b6ae12bf4826b324b9a63a20ea6d4390c75c 49400 munin_2.0.13-1.diff.gz
 ee8bdb5aa4fdd767a3befbd66eb406a398a32634 133616 munin-node_2.0.13-1_all.deb
 0e79db4e45cc7de293397c2d3ba8515d4dd64b5a 310074 munin-plugins-core_2.0.13-1_all.deb
 f14f37816af6aef0150d68831b30af94f9ae0733 158204 munin-plugins-extra_2.0.13-1_all.deb
 95d33a88547265cb7c4b116364b494f7bb67e227 152100 munin-plugins-java_2.0.13-1_all.deb
 1bd726ac1208723db87f02b1429035c0d984a601 208202 munin_2.0.13-1_all.deb
 726cdfa3d11f0c30aee92a4b9bfdca2066cdad01 98796 munin-common_2.0.13-1_all.deb
 d9dab0729107cf3a96d91caf9b030685b5c5d7db 90806 munin-async_2.0.13-1_all.deb
 71ba83ba85e8657bddc07110d2622b917c26fdfe 219350 munin-doc_2.0.13-1_all.deb
Checksums-Sha256: 
 ea11676738243c4213f1bbbf714dee634bfc565d5c9c4606ca038cfd88cb55ce 2362 munin_2.0.13-1.dsc
 9a0b74c55a2d846371ad911f9e1102d21a6d39160771e7734981640fd75668db 1333690 munin_2.0.13.orig.tar.gz
 9d637d11c35130231cddcf0ff3c4a4d4c7388a078ab9e04c6f17874264af602c 49400 munin_2.0.13-1.diff.gz
 a57d188d541637d12db312b8d86bd6845c3c56091a4d39115ada4e4314011e8c 133616 munin-node_2.0.13-1_all.deb
 d058cd54093c9fce54d3c4be905a23561435cbe9ab8c6b591f8719937e092845 310074 munin-plugins-core_2.0.13-1_all.deb
 3554198b6599a4261ef5fc65e57dd3f02f40354c09fc908fc3e8e285314f9dea 158204 munin-plugins-extra_2.0.13-1_all.deb
 a2a826af8b8d5714d96dd05882bf9ef78202a2f4fd03945f0458faf685887cd0 152100 munin-plugins-java_2.0.13-1_all.deb
 acff9f5b93c2981c2781cd2879372af50bb353c2642d4a583bd6a9aa69247a59 208202 munin_2.0.13-1_all.deb
 5b43b2f0406b0d0739ebc66d8ff330cd38d2de9530b1414c96e1b567646d036e 98796 munin-common_2.0.13-1_all.deb
 eb0b404200b78f7ed85945f5ea2eb95abe1c221671b1e0767b41e3d29e4b64a9 90806 munin-async_2.0.13-1_all.deb
 6a407e2c4d4060c0c0f053da904d940e6fd767616e6e58db0739e17dbad04cf6 219350 munin-doc_2.0.13-1_all.deb
Files: 
 af4a8ab9316ed1539d0750ff35f7b975 2362 net optional munin_2.0.13-1.dsc
 879103b9267f454e3c26e89ffb070832 1333690 net optional munin_2.0.13.orig.tar.gz
 e116a4811c63366c37382168485761b9 49400 net optional munin_2.0.13-1.diff.gz
 dd27dbd943055c498b47ed6e1388763b 133616 net optional munin-node_2.0.13-1_all.deb
 e552f79f40a4b1f7a4912f72c648d86d 310074 net optional munin-plugins-core_2.0.13-1_all.deb
 cf921ee8f7059f24a5af48ab72f5a27f 158204 net optional munin-plugins-extra_2.0.13-1_all.deb
 537981a3890b338f1953a3104595fb4f 152100 net optional munin-plugins-java_2.0.13-1_all.deb
 bad3aa18c276d3f8d8db31833ce1ac4b 208202 net optional munin_2.0.13-1_all.deb
 aee1b54d6ec697c685d03107e01e1cb7 98796 net optional munin-common_2.0.13-1_all.deb
 5ccd35e83fb89cf8e0ed062f5310d20f 90806 net optional munin-async_2.0.13-1_all.deb
 d8597a13d662804e4b3bd1c1a0109a89 219350 doc optional munin-doc_2.0.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUYt0HwkauFYGmqocAQh0ew/9EEVyYaZEGm3mcqbuJwv3/ZWfldzAw7v6
q9wFFoTyfoQZ+6Z0b3z3MvAGw2O/g1FZcTHAjTH6O8ptDBrgaOQg4IeTyNMJq5/x
BIDhdqsWIrO8fifmttBoRF5/T3nPRUpQcs8kKflRGRcblH1MDlqmVyaMqFcg0lqo
/qKNQ74XD0DOBX3VGkGZbk8qMnav+MGlTTSucAgf7yPlaTfT3M+o9JfPaJnKK/y/
S//IDYPm/VL5Pa620Bez/RvbtFHGJHLJYsPCpT3Ql0dTtNLP4MmHWgnCCIJbZqiw
FIpgmlCw/9Iu7lfWWIrdl6ymFhDxBmhm9ounNSnZs3b5NKNJLNSV7BPclclWLLMr
LsuMr6FkVS2DZVUjjfCOmnBIrH/lUtu7D+HYpLy4ZzmNWQpC0VAtNX570hri10il
1m0/dDB6k0ZuXc4uk9F+g4pysA68GyTSn9yTYpui8dcWzTAm6CmArKGIY0Ne6TSi
MjqgUm0ZfmlQBZkVEnGbHBk9XuhiiE44FA2aDUN24pwlORl1nIiROboVGAARkVKS
J+mGuyep2AAgYgFiSV0KuzpJU/VuAtjQM+f2Ar2bvZ0ZlvnDaKq0VBChnQI4Lt6f
XQKnZkGf9Oq+RRYdTJfC8coV1dnLjOHn7zM4Cf4SRSBCsJ5gb5IqS7fV35eBEbPf
2NGrDTDBLSc=
=onRV
-----END PGP SIGNATURE-----




Removed tag(s) wheezy. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 16 Jul 2013 15:36:05 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:25:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:21:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.